#include "boolean.h"

#ifndef TIME
#define TIME

typedef struct DateTimeStruct
{
	int day, month, year;
	int hour, minute, gmtOffset;
} DateTime;

typedef struct TimeSpanStruct
{
	int days, hours, minutes;
} TimeSpan;

#endif

Boolean fillDateTime(int day, int month, int year, int hour, int minute, int gmtOffset, DateTime *time);
TimeSpan dateTimeDifference(DateTime t1, DateTime t2);
void dateTimeToString(DateTime t, char buffer[]);
void timeSpanToString(TimeSpan t, char buffer[]);