#include <stdio.h>
#include "boolean.h"
#include "ship.h"

#ifndef GOOD
#define GOOD

typedef char GoodName[21];

typedef struct GoodStruct
{
	GoodName name;
	int weight;
	PortName departurePort;
	PortName arrivalPort;
} Good;

#endif

Boolean readGoodFromTxt(FILE *f, Good *g);
Good* readGoodsFromTxt(FILE *f, int *dim);

void printGoods(Good goods[], int dim);

void printShipsWithGoods(ShipList ships, Good goods[], int dim);

