#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <assert.h>
#include "boolean.h"
#include "time.h"
#include "ship.h"
#include "good.h"

void test1()
{
	char buffer[100];
	DateTime t1, t2, t3;
	TimeSpan ts1;

	assert(fillDateTime(1, 1, 2008, 10, 00, 1, &t1));
	dateTimeToString(t1, buffer);
	printf("%s\n", buffer);

	assert(fillDateTime(29, 2, 2008, 10, 10, 1, &t2));
	dateTimeToString(t2, buffer);
	printf("%s\n", buffer);

	assert(!fillDateTime(29, 2, 2007, 10, 10, -1, &t3));

	ts1 = dateTimeDifference(t2, t1);
	timeSpanToString(ts1, buffer);
	printf("%s\n", buffer);
}

void test2()
{
	ShipList ships;
	FILE *f1;
	f1 = fopen("Ships.txt", "r");
	if (f1 == NULL)
	{
		printf("Impossibile aprire il file Ships.txt");
		abort();
	}
	ships = readShipsFromTxt(f1);
	fclose(f1);
	printShips(ships);

}

void test3()
{
	ShipList ships;
	Good *goods;
	int dim;
	FILE *f1, *f2;

	f1 = fopen("Ships.txt", "r");
	if (f1 == NULL)
	{
		printf("Impossibile aprire il file Ships.txt");
		abort();
	}
	ships = readShipsFromTxt(f1);
	fclose(f1);

	f2 = fopen("Goods.txt", "r");
	if (f2 == NULL)
	{
		printf("Impossibile aprire il file Goods.txt");
		abort();
	}
	goods = readGoodsFromTxt(f2, &dim);
	fclose(f2);
	printGoods(goods, dim);
	printf("\n\n");

	printShipsWithGoods(ships, goods, dim);
}

int main()
{
	//test1();
	//test2();
	test3();



	//FlightList flights;
	//int i, dim;

	//NameValueCollection *nameValues;
	//FILE *f1, *f2;

	//f1 = fopen("Flights.txt", "r");
	//if (f1 == NULL)
	//{
	//	printf("Impossibile aprire il file Flights.txt");
	//	abort();
	//}
	//flights = readFlightsFromTxt(f1);
	//fclose(f1);
	//printFlights(flights);

	//f2 = fopen("Decode.txt", "r");
	//if (f2 == NULL)
	//{
	//	printf("Impossibile aprire il file Decode.txt");
	//	abort();
	//}
	//nameValues = readCollectionFromTxt(f2);
	//fclose(f2);
	//printCollection(nameValues);
	//printDecodedFlights(flights, nameValues);
}